Package weka.gui.sql

# Class ResultSetTableModel

java.lang.Object
weka.gui.sql.ResultSetTableModel

All Implemented Interfaces:
  `TableModel`

public class ResultSetTableModel extends Object implements TableModel
The model for an SQL ResultSet.

Version:
  $Revision: 7059 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Constructor Summary

Constructors
Constructor
Description
`ResultSetTableModel(ResultSet rs)`
initializes the model, retrieves all rows.
`ResultSetTableModel(ResultSet rs, int rows)`
initializes the model, retrieves only the given amount of rows (0 means all).

## Method Summary

Modifier and Type
Method
Description
`void`
`addTableModelListener(TableModelListener l)`
adds a listener to the list that is notified each time a change to data model occurs.
`void`
`finalize()`
frees up the memory.
`Class`
`getColumnClass(int columnIndex)`
returns the most specific superclass for all the cell values in the column (always String).
`int`
`getColumnCount()`
returns the number of columns in the model.
`String`
`getColumnName(int columnIndex)`
returns the name of the column at columnIndex.
`int`
`getRowCount()`
returns the number of rows in the model.
`Object`
`getValueAt(int rowIndex, int columnIndex)`
returns the value for the cell at columnindex and rowIndex.
`boolean`
`isCellEditable(int rowIndex, int columnIndex)`
returns true if the cell at rowindex and columnindexis editable.
`boolean`
`isNullAt(int rowIndex, int columnIndex)`
checks whether the value of the cell is NULL.
`boolean`
`isNumericAt(int columnIndex)`
returns whether the column at the given index is numeric.
`void`
`removeTableModelListener(TableModelListener l)`
removes a listener from the list that is notified each time a change to the data model occurs.
`void`
`setValueAt(Object aValue, int rowIndex, int columnIndex)`
sets the value in the cell at columnIndex and rowIndex to aValue.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultSetTableModel

public ResultSetTableModel(ResultSet rs)
initializes the model, retrieves all rows.

Parameters:
  `rs` - the ResultSet to get the data from

### ResultSetTableModel

public ResultSetTableModel(ResultSet rs, int rows)
initializes the model, retrieves only the given amount of rows (0 means all).

Parameters:
  `rs` - the ResultSet to get the data from
  `rows` - the maximum number of rows to retrieve, 0 retrieves all

## Method Details

### addTableModelListener

public void addTableModelListener(TableModelListener l)
adds a listener to the list that is notified each time a change to data model occurs.

Specified by:
  `addTableModelListener` in interface `TableModel`
Parameters:
  `l` - the listener to add

### getColumnClass

public Class getColumnClass(int columnIndex)
returns the most specific superclass for all the cell values in the column (always String).

Specified by:
  `getColumnClass` in interface `TableModel`
Parameters:
  `columnIndex` - the index of the column
Returns:
  the class

### getColumnCount

public int getColumnCount()
returns the number of columns in the model.

Specified by:
  `getColumnCount` in interface `TableModel`
Returns:
  the number of columns

### getColumnName

public String getColumnName(int columnIndex)
returns the name of the column at columnIndex.

Specified by:
  `getColumnName` in interface `TableModel`
Parameters:
  `columnIndex` - the index of the column
Returns:
  the name

### getRowCount

public int getRowCount()
returns the number of rows in the model.

Specified by:
  `getRowCount` in interface `TableModel`
Returns:
  the number of data rows

### getValueAt

public Object getValueAt(int rowIndex, int columnIndex)
returns the value for the cell at columnindex and rowIndex.

Specified by:
  `getValueAt` in interface `TableModel`
Parameters:
  `rowIndex` - the row of the cell
  `columnIndex` - the column of the cell
Returns:
  the data value

### isNullAt

public boolean isNullAt(int rowIndex, int columnIndex)
checks whether the value of the cell is NULL.

Parameters:
  `rowIndex` - the row of the cell
  `columnIndex` - the column of the cell
Returns:
  true if the cell value is NULL

### isNumericAt

public boolean isNumericAt(int columnIndex)
returns whether the column at the given index is numeric.

Parameters:
  `columnIndex` - the column to check
Returns:
  whether the column is numeric

### isCellEditable

public boolean isCellEditable(int rowIndex, int columnIndex)
returns true if the cell at rowindex and columnindexis editable.

Specified by:
  `isCellEditable` in interface `TableModel`
Parameters:
  `rowIndex` - the row of the cell
  `columnIndex` - the column of the cell
Returns:
  always false

### removeTableModelListener

public void removeTableModelListener(TableModelListener l)
removes a listener from the list that is notified each time a change to the data model occurs.

Specified by:
  `removeTableModelListener` in interface `TableModel`
Parameters:
  `l` - the listener to remove

### setValueAt

public void setValueAt(Object aValue, int rowIndex, int columnIndex)
sets the value in the cell at columnIndex and rowIndex to aValue. Ignored.

Specified by:
  `setValueAt` in interface `TableModel`
Parameters:
  `aValue` - the value to set - ignored
  `rowIndex` - the row of the cell
  `columnIndex` - the column of the cell

### finalize

public void finalize() throws Throwable
frees up the memory.

Throws:
  `Throwable` - if something goes wrong